Subject: Re: bug#62044: 30.0.50; ERC 5.5: Auto-reconnect is broken

From: "J.P." <[email-masked]>
Date: Wed, 16 Apr 2025 18:52:35 -0700

"J.P." <[email-masked]> writes:

> For now, I think our best option is to forgo emitting _any_ pre-
> registration protocol and to instead accept the "open\n" event from the
> process sentinel as sufficient evidence our messages are getting
> through. Of course, not seeing a single response means this reconnect
> method may still fail with some proxies, which is something I guess
> we'll just have to live with. Anyway, the first of the attached patches
> (the one labeled "5.6.1") hopefully does this in a competent way. Those
> affected by this bug are encouraged to give it a try.

I've installed something similar to what was proposed:

  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=c0cb5957

And as mentioned, I'll close this with the release of 5.6.1.